| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Classes | Static Public Member Functions | Properties | Static Private Member Functions | Private Attributes | Static Private Attributes | List of all members
IG.Gr3d.TestVtkGraphicBase Class Reference

Tests of 3D graphics enabled by ActiViz (VTK wrapper library). More...

Collaboration diagram for IG.Gr3d.TestVtkGraphicBase:
[legend]

## Classes
class | CustomImplicitFunction
| An vtkImplicitFunction class that represents a custom function of 3 variables used for plotting contours. More...

## Static Public Member Functions
static void | Run ()
static void | Test1 ()
static void | Test2 ()
static void | ColorBar ()
static void | Legend ()
static void | ExampleParametricCurve (int numT)
| Example of plotting parametric curves in 3D space. More...
static void | ExampleStructuredGridVolumeContours ()
| Example that demonstrates generaton of contours on a 3D structured grid. More...
static void | ExampleCellsGridContours ()
| ExamExample of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata. Default division numbers of the shown graph are taken. More...
static void | ExampleCellsGridContours (int sizex, int sizey, int numContours)
| Example of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata. More...
static void | ExampleCellsGridEfficient ()
| Example of efficient plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells). Default division numbers of the shown graph are taken. More...
static void | ExampleQuadCells ()
| Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces). More...
static void | ExampleQuadCells (int sizex, int sizey)
| Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces). More...
static void | ExampleStructuredGrid ()
| Example that demonstrates the ability to use structured grids for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces). More...
static void | ExampleAxisHendler ()
static void | ExampleStructuredGrid (int sizex, int sizey, int sizez)
| Example that demonstrates the ability to use structured grids for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces). More...
static ColorScale | CreateGreenRedYellow (double minValue, double maxValue)

## Properties
Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int int int | numContours`[set]`

## Static Private Member Functions
static double | f (double x, double y)
| Example function of 2 variables to generate a surface plot. In the future, ScalarFunction class will be used for this purpose. More...
static double | GetX (int i)
| Returns x coordinate corresponding to the specific index. More...
static double | GetY (int j)
| Returns y coordinate corresponding to the specific index. More...
static double | GetZ (int k)
| Returns z coordinate corresponding to the specific index. More...
static double | f3d (double x, double y, double z)
static void | ExampleCellsGridEfficient (int sizex, int sizey)
| Example of efficient plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells). More...

## Private Attributes
Examples Modelling Cxx Delaunay3D.cxx | root
| Example that demonstrates generaton of contours on a 3D structured grid. More...
Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.* | http: * </para> * <para></para> * </remarks> */ public static void ExampleStructuredGridVolumeContours(int sizex
Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int | sizey
Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int int | sizez

## Static Private Attributes
static int | numi = 6
static int | numj = 6
static int | numk = 2
static double | minX = -1
static double | maxX = 1
static double | minY = -1
static double | maxY = 1
static double | minZ = -1
static double | maxZ = 1
static double | minValue = 0
static double | maxValue = 0
static StopWatch1 | timer = new StopWatch1()
| StopWatch for measuring time. More...

## Detailed Description

Tests of 3D graphics enabled by ActiViz (VTK wrapper library).

$A Tako78 Sep11; Igor Oct11;

## Member Function Documentation

static void IG.Gr3d.TestVtkGraphicBase.Run | ( |  | ) |
| inline static

static void IG.Gr3d.TestVtkGraphicBase.Test1 | ( |  | ) |
| inline static

static void IG.Gr3d.TestVtkGraphicBase.Test2 | ( |  | ) |
| inline static

static void IG.Gr3d.TestVtkGraphicBase.ColorBar | ( |  | ) |
| inline static

References IG.Lib.color.B, IG.Lib.ColorScaleBase.CreateBlueRedYellow(), IG.Lib.color.G, IG.Lib.ColorScaleBase.GetColor(), IG.Lib.ColorScale.MaxValue, IG.Lib.ColorScale.MinValue, IG.Lib.color.Opacity, and IG.Lib.color.R.

static void IG.Gr3d.TestVtkGraphicBase.Legend | ( |  | ) |
| inline static

static double IG.Gr3d.TestVtkGraphicBase.f | ( | double | x,
|  | double | y
| ) |  |
| inline static private

Example function of 2 variables to generate a surface plot. In the future, ScalarFunction class will be used for this purpose.

static double IG.Gr3d.TestVtkGraphicBase.GetX | ( | int | i | ) |
| inline static private

Returns x coordinate corresponding to the specific index.

static double IG.Gr3d.TestVtkGraphicBase.GetY | ( | int | j | ) |
| inline static private

Returns y coordinate corresponding to the specific index.

static double IG.Gr3d.TestVtkGraphicBase.GetZ | ( | int | k | ) |
| inline static private

Returns z coordinate corresponding to the specific index.

static void IG.Gr3d.TestVtkGraphicBase.ExampleParametricCurve | ( | int | numT | ) |
| inline static

Example of plotting parametric curves in 3D space.

Parameters

  numT | Number fo divisions.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/PolyData/RibbonFilter

static double IG.Gr3d.TestVtkGraphicBase.f3d | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| inline static private

static void IG.Gr3d.TestVtkGraphicBase.ExampleStructuredGridVolumeContours | ( |  | ) |
| inline static

Example that demonstrates generaton of contours on a 3D structured grid.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx#vtkStructuredGrid

Referenced by IG.Script.ScriptGraphics3DBase.VtkFunctionStructuredGridVolumeContours().

static void IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridContours | ( |  | ) |
| inline static

ExamExample of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata. Default division numbers of the shown graph are taken.

Parameters

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/LongLine

Referenced by IG.Script.ScriptGraphics3DBase.VtkFunctionCellGridContours().

static void IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridContours | ( | int | sizex,
|  | int | sizey,
|  | int | numContours
| ) |  |
| inline static

Example of plotting contours on surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells) connected to polydata.

Parameters

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.
  numContours | Number of contours to be plotted.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/Quad - quadric cells

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/ColoredLines - for adding line cells

http://www.vtk.org/Wiki/VTK/Examples/Cxx/VisualizationAlgorithms/BandedPolyDataContourFilter - discrete consours

http://www.vtk.org/Wiki/VTK/Examples/Cxx/PolyData/PolyDataIsoLines - for contours

http://www.vtk.org/Wiki/VTK/Examples/Cxx/VisualizationAlgorithms/FilledContours - this is more complex, approach taken here is simpler.

http://www.vtk.org/Wiki/VTK/Examples/Cxx/Visualization/LabelContours - labeling contours

References IG.Lib.color.Average(), IG.Lib.ColorScaleBase.Create(), IG.Gr3d.VtkDecorationHandler.CubeAxesColor, IG.Gr3d.VtkDecorationHandler.CubeAxesFlyMode, IG.Gr3d.VtkDecorationHandler.CubeAxesXLabel, IG.Lib.IColorScale.GetColor(), IG.Lib.ColorScaleBase.GetColor(), IG.Num.BoundingBoxBase.GetMax(), IG.Num.BoundingBoxBase.GetMin(), IG.Lib.color.IntB, IG.Lib.color.IntG, IG.Lib.color.IntR, IG.Lib.StopWatch1.Reset(), IG.Lib.StopWatch1.Start(), IG.Lib.StopWatch1.Stop(), IG.Lib.StopWatch1.Time, IG.Lib.StopWatch1.TotalTime, and IG.Num.BoundingBoxBase.Update().

static void IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridEfficient | ( |  | ) |
| inline static

Example of efficient plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells). Default division numbers of the shown graph are taken.

Parameters

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/Quad - quadric cells

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/LongLine

static void IG.Gr3d.TestVtkGraphicBase.ExampleCellsGridEfficient | ( | int | sizex,
|  | int | sizey
| ) |  |
| inline static private

Example of efficient plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces) by using graphic primitives (cells).

Parameters

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/ColoredLines

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/LongLine

References IG.Lib.color.Average(), IG.Lib.ColorScaleBase.Create(), IG.Gr3d.VtkDecorationHandler.CubeAxesColor, IG.Gr3d.VtkDecorationHandler.CubeAxesFlyMode, IG.Gr3d.VtkDecorationHandler.CubeAxesXLabel, IG.Lib.IColorScale.GetColor(), IG.Num.BoundingBoxBase.GetMax(), IG.Num.BoundingBoxBase.GetMin(), IG.Lib.color.IntB, IG.Lib.color.IntG, IG.Lib.color.IntR, IG.Lib.StopWatch1.Reset(), IG.Lib.StopWatch1.Start(), IG.Lib.StopWatch1.Stop(), IG.Lib.StopWatch1.Time, IG.Lib.StopWatch1.TotalTime, and IG.Num.BoundingBoxBase.Update().

static void IG.Gr3d.TestVtkGraphicBase.ExampleQuadCells | ( |  | ) |
| inline static

Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/Quad

Referenced by IG.Script.ScriptGraphics3DBase.VtkFunctionQuadCells().

static void IG.Gr3d.TestVtkGraphicBase.ExampleQuadCells | ( | int | sizex,
|  | int | sizey
| ) |  |
| inline static

Example that demonstrates the ability to use simple primitives for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

Parameters

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx/GeometricObjects/Quad

References IG.Gr3d.VtkDecorationHandler.CubeAxesColor, IG.Gr3d.VtkDecorationHandler.CubeAxesFlyMode, IG.Gr3d.VtkDecorationHandler.CubeAxesXLabel, IG.Lib.StopWatch1.Reset(), IG.Gr3d.VtkDecorationHandler.SetActorScale(), IG.Lib.StopWatch1.Start(), IG.Lib.StopWatch1.Stop(), IG.Lib.StopWatch1.Time, IG.Lib.StopWatch1.TotalTime, and IG.Gr3d.UtilVtk.UpdateBounds().

static void IG.Gr3d.TestVtkGraphicBase.ExampleStructuredGrid | ( |  | ) |
| inline static

Example that demonstrates the ability to use structured grids for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx#vtkStructuredGrid

Referenced by IG.Script.ScriptGraphics3DBase.VtkFunctionStructuredGrid().

static void IG.Gr3d.TestVtkGraphicBase.ExampleAxisHendler | ( |  | ) |
| inline static

References IG.Gr3d.UtilVtk.CreateBounds(), and IG.Gr3d.UtilVtk.SetBounds().

static void IG.Gr3d.TestVtkGraphicBase.ExampleStructuredGrid | ( | int | sizex,
|  | int | sizey,
|  | int | sizez
| ) |  |
| inline static

Example that demonstrates the ability to use structured grids for plotting surfaces in 3D (graphs of functions of 2 variables or parametric surfaces).

Parameters

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.
  sizez | Number of points in z direction.

See also:

http://www.vtk.org/Wiki/VTK/Examples/Cxx#vtkStructuredGrid

References IG.Lib.ColorScaleBase.Create(), IG.Gr3d.UtilVtk.CreateBounds(), IG.Lib.IColorScale.GetColor(), IG.Num.BoundingBoxBase.GetMax(), IG.Num.BoundingBoxBase.GetMin(), IG.Lib.color.IntB, IG.Lib.color.IntG, IG.Lib.color.IntR, IG.Lib.StopWatch1.Reset(), IG.Gr3d.UtilVtk.SetBounds(), IG.Lib.StopWatch1.Start(), IG.Lib.StopWatch1.Stop(), IG.Lib.StopWatch1.Time, IG.Lib.StopWatch1.TotalTime, and IG.Num.BoundingBoxBase.Update().

static ColorScale IG.Gr3d.TestVtkGraphicBase.CreateGreenRedYellow | ( | double | minValue,
|  | double | maxValue
| ) |  |
| inline static

## Member Data Documentation

int IG.Gr3d.TestVtkGraphicBase.numi = 6
| static private

int IG.Gr3d.TestVtkGraphicBase.numj = 6
| static private

int IG.Gr3d.TestVtkGraphicBase.numk = 2
| static private

double IG.Gr3d.TestVtkGraphicBase.minX = -1
| static private

double IG.Gr3d.TestVtkGraphicBase.maxX = 1
| static private

double IG.Gr3d.TestVtkGraphicBase.minY = -1
| static private

double IG.Gr3d.TestVtkGraphicBase.maxY = 1
| static private

double IG.Gr3d.TestVtkGraphicBase.minZ = -1
| static private

double IG.Gr3d.TestVtkGraphicBase.maxZ = 1
| static private

double IG.Gr3d.TestVtkGraphicBase.minValue = 0
| static private

double IG.Gr3d.TestVtkGraphicBase.maxValue = 0
| static private

StopWatch1 IG.Gr3d.TestVtkGraphicBase.timer = new StopWatch1()
| static private

StopWatch for measuring time.

Examples Modelling Cxx Delaunay3D.cxx IG.Gr3d.TestVtkGraphicBase.root
| private

Initial value:
=VTK&content-type=text/plain
* http:
* http:
* - this is used to convert structured grid or any other form containing points to a 3d mesh of tetrahetrons. </para>
* <para>See vtkContourGrid
* http:
* - Python example - triangulate and generate contour.
* http:
* <para></para>
* <para>See vtkBandedPolyDataContourFilter
* http:
* generate inner contur surfaces

Example that demonstrates generaton of contours on a 3D structured grid.

Parameters

  sizex | Number of points in x direction.
  sizey | Number of points in y direction.
  sizez | Number of points in z direction.

See also:

http://www.vtk.org/VTK/help/examplecode.html - generating contours of implicit function of 3 variables, probably useful only when you actually have an implicit function. http://www.vtk.org/Wiki/VTK/Examples/Cxx/ImplicitFunctions/SampleFunction - sample implicit function, 1 contour

http://www.vtk.org/Wiki/VTK/Examples/Cxx#vtkStructuredGrid

See Delaunay3D triangularization. http://public.kitware.com/cgi-bin/viewcvs.cgi/*checkout

Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.* IG.Gr3d.TestVtkGraphicBase.http
| private

Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int IG.Gr3d.TestVtkGraphicBase.sizey
| private

Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int int IG.Gr3d.TestVtkGraphicBase.sizez
| private

## Property Documentation

Examples Modelling Cxx Delaunay3D.cxx but only outer contours on body surface.int int int IG.Gr3d.TestVtkGraphicBase.numContours
| set private

The documentation for this class was generated from the following file:

- extensions/igplot3d/plot3d/Examples/TestVtkGraphic.cs